> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateTimeOffRequestStatus

> The `updateTimeOffRequestStatus ` API is used to approve or deny a timeOff request

### Note:
- The businessUserId sent with this request is recorded as the approver/denier of the timeOffRequest



## OpenAPI

````yaml put /adminPortal/updateTimeOffRequestStatus
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/updateTimeOffRequestStatus:
    put:
      tags: []
      summary: updateTimeOffRequestStatus
      description: >-
        The `updateTimeOffRequestStatus ` API is used to approve or deny a
        timeOff request


        ### Note:

        - The businessUserId sent with this request is recorded as the
        approver/denier of the timeOffRequest
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addCompanyBankAccount
                timeOffRequestId:
                  type: string
                businessUserId:
                  type: string
                isApproved:
                  type: boolean
              required:
                - method
                - timeOffRequestId
                - businessUserId
                - isApproved
            example:
              method: updateTimeOffStatus
              timeOffRequestId: 5E11A5FA-83C1-4F83-91D2-46931D0B9C58
              businessUserId: 19C51920-62D1-480D-8639-2E0B18BC5661
              isApproved: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeOffRequest:
                    type: object
                    properties:
                      timeOffRequestId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                      - timeOffRequestId
                required:
                  - timeOffRequest
              examples:
                '1':
                  summary: Success
                  value:
                    timeOffRequest:
                      timeOffRequestId: E1B7738D-4037-45E7-BFDD-3DC03BF500BA
                      status: Approved
                      message: Time off request approved successfully
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 409
                      message: Time off request is already approved.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Time off request is already approved.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````